{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;",
  "numberOfDefinitions": 4,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicSetNameExpression(Lorg/eclipse/uml2/uml/StringExpression;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.basicSetEnclosingInteraction(Lorg/eclipse/uml2/uml/Interaction;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.basicSetEnclosingOperand(Lorg/eclipse/uml2/uml/InteractionOperand;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.getGeneralOrderings()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.getCovereds()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 2
  }
}